.. _shares: ../vim/ResourceAllocationInfo.rst#shares

.. _vSphere API 4.1: ../vim/version.rst#vimversionversion6

.. _vim.SharesOption: ../vim/SharesOption.rst

.. _vmodl.DynamicData: ../vmodl/DynamicData.rst

.. _ResourceAllocationInfo: ../vim/ResourceAllocationInfo.rst


vim.ResourceAllocationOption
============================
  The ResourceAllocationOption data object specifies value ranges and default values for `ResourceAllocationInfo`_ .
:extends: vmodl.DynamicData_
:since: `vSphere API 4.1`_

Attributes:
    sharesOption (`vim.SharesOption`_):

       Default value and value range for `shares`_ .
